Subject: Re: [net-next RFC v2 0/4] mlx5: support per queue coalesce settings

From: Rahul Rameshbabu <[email-masked]>
Date: Fri, 06 Oct 2023 14:46:40 -0700

On Tue, 19 Sep, 2023 16:42:27 -0400 "Nabil S. Alramli" <[email-masked]> wrote:
> Hi Rahul,
>
> Thank you for your response.
>
> On 9/19/23 14:55, Rahul Rameshbabu wrote:
>> Hi Nabil,
>> On Mon, 18 Sep, 2023 18:29:51 -0400 "Nabil S. Alramli" <[email-masked]>
>> wrote:
>>> Hello,
>>>
>>> This is v2 of my previous patch:
>>> https://lore.kernel.org/lkml/[email-masked]/.
>>>
>>> Saeed: Thanks for reviewing v1. I made significant changes to support
>>> per-channel DIM settings. Is this ready for an official v1 submission or
>>> are there other major changes you'd like to see before I do that?
>>>
>>> ***************************************************************************
>>> Version History
>>> ---------------
>>> * v1: Initial draft, individual channel DIM changes not supported.
>>> * v2: Support individual channel DIM changes.
>>> ***************************************************************************
>> We actually began working on a patch set for the feature internally
>> inspired by your initial RFC. If it is alright with you, would it be ok
>> to have you as a co-author of that series that we should have prepared
>> in the coming days? We have some minor enhancements that we think will
>> improve the general architecture for how we handle both the global and
>> per-queue settings.
>> 
>
> Yes. Please feel free to add me as a co-author. Actually, I'm new to
> submitting mlx-5 patches and a lot of credit goes to Joe Damato
> <[email-masked]> who had this initial idea and helped me develop it
> into this patch, so would you mind adding him as well? If you would like
> you could start with my patch-set and then revert it and add your own,
> or if you think that's too much trouble then I'm fine with however you'd
> like to proceed. I'd be happy to test your patch whenever it's ready.

Thanks for letting me know. Adding Joe as well as a co-author.

>
>>>
>>> Nabil S. Alramli (4):
>>>    mlx5: Add mlx5e_param to individual mlx5e_channel and preserve them
>>>      through mlx5e_open_channels()
>>>    mlx5: Add queue number parameter to mlx5e_safe_switch_params()
>> We currently are working on a variation of this without needing to use
>> mlx5e_safe_switch_params for updating individual channel states (our
>> variation of the feature avoids needing to place an instance of
>> mlx5e_params per channel).
>> 
>
> Oh I'm curious to see how this solution works. I look forward to your
> upcoming patch, and would be happy to review it as well.

I just wanted to let you know the patch series we are developing is
going through internal review. There are some bits we will need to add
to this series for supporting changing coalescing parameters such as the
cq_period_mode *without* needing to create an entirely new CQ (modifying
the existing CQ).

--
Thanks,

Rahul Rameshbabu